Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.campaign
Class EndStateAction

    java.lang.Object
      |
      +--com.bea.campaign.action.Action
            |
            +--com.bea.campaign.EndStateAction

public class EndStateAction
extends Action

An action which supports marking a user as done in a campaign/scenario.

This understands the following initialization parameters:

- endState (optional): boolean as to whether to mark an end state

See Also:
  Serialized Form

Field Summary
`protected boolean` | `endState` Does this constitute an end state.

Constructor Summary
`EndStateAction()`

Method Summary
`ScenarioService` | `getScenarioService()` Get the scenario service.
`java.lang.String` | `getUserId()` Get the user id (from the event).
`void` | `init(java.util.Map params)` Initialize this action from the action parameters.
`void` | `run()` Execute this action.
`java.lang.String` | `toString()`

Methods inherited from class com.bea.campaign.action.Action
`getEvent, getRandom, getRequest, getScenario, getScenarioContainer, getScenarioContainerName, getScenarioId, getScenarioName, getServiceLocator, getSession, getTimestamp, getUser, locateService, setEvent, setRandom, setRequest, setScenario, setScenarioContainer, setServiceLocator, setSession, setTimestamp, setUser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### endState

    protected boolean endState

  Does this constitute an end state.

Constructor Detail

### EndStateAction

    public EndStateAction()

Method Detail

### init

    public void init(java.util.Map params)
              throws java.lang.IllegalArgumentException

  Initialize this action from the action parameters.

  Parameters:
    `params` - the action parameters.
  Throws:
    java.lang.IllegalArgumentException - thrown on invalid action parameters.
  Overrides:
    init in class Action

### run

    public void run()
             throws ActionException

  Execute this action.

  This will set an end state flag for the user for the scenario in the scenario container.

  Throws:
    ActionException - thrown on an error.
  Overrides:
    run in class Action

### getScenarioService

    public ScenarioService getScenarioService()
                                       throws javax.ejb.CreateException

  Get the scenario service.

  Throws:
    javax.ejb.CreateException - thrown on an error getting the scenario service.

### getUserId

    public java.lang.String getUserId()

  Get the user id (from the event).

  Overrides:
    getUserId in class Action
  See Also:
    `ScenarioHelper.getUserId(com.bea.p13n.events.Event)`

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved